import React from 'react'
import { translate } from 'cozy-ui/react/I18n'

import StyledButton from 'components/CommonKit/Button/StyledButton'

interface KonnectorNotFoundProps {
  konnectorSlug: string
  t: Function
}

const KonnectorNotFound: React.FC<KonnectorNotFoundProps> = ({
  konnectorSlug,
  t,
}: KonnectorNotFoundProps) => {
  const openKonnectorURL = () => {
    // TODO - Use getstoreinstallationurl from client - https://docs.cozy.io/en/cozy-client/api/cozy-client/#getstoreinstallationurl-string
    const hostname = window.location.origin.replace('ecolyo', 'store')
    const url = hostname + '/#/discover/' + konnectorSlug
    window.open(url, '_blank')
  }

  return (
    <div className="knotfound">
      <div className="knotfound-text">
        {' '}
        {t('KONNECTORCONFIG.NOT_INSTALLED')}
      </div>
      <div className="knotfound-button">
        <StyledButton type="button" color="primary" onClick={openKonnectorURL}>
          {t('KONNECTORCONFIG.BTN_INSTALL')}
        </StyledButton>
      </div>
    </div>
  )
}

export default translate()(KonnectorNotFound)
