import { QueryDefinitionBuilder } from 'cozy-client'

export const ENEDIS_DAY_DOCTYPE = 'com.grandlyon.enedis.day'

export type EnedisDay = {
  time: string
  load: string
}

export function isEnedisDay(day: any): day is EnedisDay {
  return day && 'time' in day && 'load' in day
}

export function isEnedisData(data: any[]): data is EnedisDay[] {
  return data.every(isEnedisDay)
}

// queries for CozyClient
export const enedisQueryClient: QueryDefinitionBuilder = client =>
  client.find(ENEDIS_DAY_DOCTYPE)
