import { ENEDIS_DAY_DOCTYPE } from './com-grandlyon-enedis-day'
import { GRDF_DAY_DOCTYPE } from './com-grandlyon-grdf-day'
import { EGL_DAY_DOCTYPE } from './com-grandlyon-egl-day'

import { KONNECTORS_DOCTYPE } from './io-cozy-konnectors'
import { ACCOUNTS_DOCTYPE } from './io-cozy-accounts'
import { JOBS_DOCTYPE } from './io-cozy-jobs'

import { CHALLENGETYPE_DOCTYPE } from './com-grandlyon-ecolyo-challengetype'
import { USERCHALLENGE_DOCTYPE } from './com-grandlyon-ecolyo-userchallenge'
import { ECOGESTURE_DOCTYPE } from './com-grandlyon-ecolyo-ecogesture'
import { USERPROFILE_DOCTYPE } from './com-grandlyon-ecolyo-userprofile'

// the documents schema, necessary for CozyClient
const doctypes = {
  enedis: {
    doctype: ENEDIS_DAY_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  grdf: {
    doctype: GRDF_DAY_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  egl: {
    doctype: EGL_DAY_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  konnectors: {
    doctype: KONNECTORS_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  accounts: {
    doctype: ACCOUNTS_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  jobs: {
    doctype: JOBS_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  challengetype: {
    doctype: CHALLENGETYPE_DOCTYPE,
    attributes: {},
    relationships: {
      availableEcogestures: {
        doctype: ECOGESTURE_DOCTYPE,
        type: 'has-many',
      },
    },
  },
  userchallenge: {
    doctype: USERCHALLENGE_DOCTYPE,
    attributes: {},
    relationships: {
      selectedEcogestures: {
        doctype: ECOGESTURE_DOCTYPE,
        type: 'has-many',
      },
      challengeType: {
        doctype: CHALLENGETYPE_DOCTYPE,
        type: 'has-one',
      },
    },
  },
  ecogesture: {
    doctype: ECOGESTURE_DOCTYPE,
    attributes: {},
    relationships: {},
  },
  userprofile: {
    doctype: USERPROFILE_DOCTYPE,
    attributes: {},
    relationships: {},
  },
}

export default doctypes

// export all doctypes for the application
export * from './com-grandlyon-enedis-minute'
export * from './com-grandlyon-enedis-hour'
export * from './com-grandlyon-enedis-day'
export * from './com-grandlyon-enedis-month'
export * from './com-grandlyon-enedis-year'

export * from './com-grandlyon-grdf-hour'
export * from './com-grandlyon-grdf-day'
export * from './com-grandlyon-grdf-month'
export * from './com-grandlyon-grdf-year'

export * from './com-grandlyon-egl-day'
export * from './com-grandlyon-egl-month'
export * from './com-grandlyon-egl-year'

export * from './io-cozy-konnectors'
export * from './io-cozy-accounts'
export * from './io-cozy-triggers'
export * from './io-cozy-jobs'

export * from './com-grandlyon-ecolyo-challengetype'
export * from './com-grandlyon-ecolyo-userchallenge'
export * from './com-grandlyon-ecolyo-ecogesture'
export * from './com-grandlyon-ecolyo-userprofile'
